#!/bin/bash

# ======================= #
#   AUTO WAKE-UP SCRIPT   #
# ======================= #

# -----     hlavička - název prográmku     ----- #
echo ----------------
echo -e "\e[31m * WAKE-UP *\e[0m"
echo ----------------
# ---------------------------------------------- #

# ------     interakce s uživatelem     -------- #
echo -n "Zadejte čas budíku (hh:mm): "

# přečtení dat zadaných uživatelem a jejich uložení do proměnné
read budik

# rtcwake používá hardwarové hodiny počítače  a určuje, kdy se počítač probudí. 
# -m mem  - uspaní do paměti RAM
# -m disk - hibernace na disk
# -m off  - vypne pc
# -m ne   - pouze nastaví čas probuzení (nevypne/neuspí pc)

sudo rtcwake -m mem --date "$budik"
sleep 1

#   paplay - přehrání melodie po probuzení  # 
paplay */bin/Oxygen-Sys-Log-In-Long.ogg

# ---------- přivítání uživatele ---------- #
echo "----------------------"
echo "! Welcome back $USER !"
echo "----------------------"

# --- vypsání aktuálního datumu a hodin --- #
datum=$(echo "Dnes je: ";date)
echo $datum

# ----- aktuální počasí pomocí inxi -----   #
inxi -W Usti_nad_Labem,CZE

# pravděpodobně bude potřeba nainstalovat utilitku inxi 
# pro Arch/Manjaro linux : $ pamac install inxi
#                   nebo : $ sudo pacman -S inxi